System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

Possible glibc issues: hard to fix with risk of breakage

 
SOLVED
Go to solution
Steven E. Protter
Exalted Contributor

Possible glibc issues: hard to fix with risk of breakage

Centos 5.4 64 bit.

Something is definitely wrong.

[root@mercury ~]# yum clean all
Loaded plugins: fastestmirror
Cleaning up Everything
Cleaning up list of fastest mirrors
[root@mercury ~]# yum update glibc
Loaded plugins: fastestmirror
Determining fastest mirrors
* addons: mirror.steadfast.net
* base: mirror.steadfast.net
* extras: centos.mirrors.tds.net
* rpmforge: apt.sw.be
* updates: centos.mbni.med.umich.edu
addons | 951 B 00:00
addons/primary | 203 B 00:00
base | 2.1 kB 00:00
base/primary_db | 2.0 MB 00:16
extras | 1.1 kB 00:00
extras/primary | 117 kB 00:00
extras 290/290
kbs-CentOS-Extras | 1.9 kB 00:00
kbs-CentOS-Extras/primary_db | 1.1 kB 00:00
kbs-CentOS-Testing | 1.9 kB 00:00
kbs-CentOS-Testing/primary_db | 660 kB 00:00
rpmforge | 1.1 kB 00:00
rpmforge/primary | 3.6 MB 00:03
rpmforge 9865/9865
updates | 1.9 kB 00:00
updates/primary_db | 565 kB 00:00
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package glibc.i686 0:2.5-42.el5_4.3 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Updating:
glibc i686 2.5-42.el5_4.3 updates 5.2 M

Transaction Summary
================================================================================
Install 0 Package(s)
Update 1 Package(s)
Remove 0 Package(s)

Total download size: 5.2 M
Is this ok [y/N]: Read from remote host www.bsg21.org: Connection reset by peer
Connection to www.bsg21.org closed.
yevka@lappy:~$ ssh root@www.bsg21.org
root@www.bsg21.org's password:
Last login: Thu Jan 21 19:41:10 2010 from 65.204.73.35
[root@mercury ~]# yum update glibc
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* addons: mirror.steadfast.net
* base: mirror.steadfast.net
* extras: centos.mirrors.tds.net
* rpmforge: apt.sw.be
* updates: centos.mbni.med.umich.edu
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package glibc.i686 0:2.5-42.el5_4.3 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Updating:
glibc i686 2.5-42.el5_4.3 updates 5.2 M

Transaction Summary
================================================================================
Install 0 Package(s)
Update 1 Package(s)
Remove 0 Package(s)

Total download size: 5.2 M
Is this ok [y/N]: y
Downloading Packages:
glibc-2.5-42.el5_4.3.i686.rpm | 5.2 MB 00:05
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Updating : glibc 1/2
Error unpacking rpm package glibc-2.5-42.el5_4.3.i686
error: unpacking of archive failed on file /etc/nsswitch.conf: cpio: rename

Failed:
glibc.i686 0:2.5-42.el5_4.3

glibc-common-2.5-42.el5_4.3
glibc-devel-2.5-42.el5_4.3
glibc-headers-2.5-42.el5_4.3
glibc-2.5-42.el5_4.2
glibc-devel-2.5-42.el5_4.3


It seems to me marked for update butg already installed.

glibc-2.5-42.el5_4.2

That sticks out due to version mismatch.

Can't just take glibc out with yum, half the system is dependent on it.

This happened after a recent update/reboot that included glibc and had similar errors.

An attempt to install an rpm like postfix generates a bunch of errors complaining about libraries glibc provides. The .so files are all present.

So I am fishing for some tips on how to diagnose and correct.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
9 REPLIES
Steven E. Protter
Exalted Contributor

Re: Possible glibc issues: hard to fix with risk of breakage

Mystery partially solved.

/etc/nswitch.conf was set immutable for security purposes with chattr command.

Need to remember not to update a system with the files locked down.

I have to break postfix to see if this is a total fix but will report back.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Steven E. Protter
Exalted Contributor

Re: Possible glibc issues: hard to fix with risk of breakage

Here is the error when installing postfix

[root@mercury x86_64]# rpm -ivh postfix-2.3.3-2.1.x86_64.rpm
error: Failed dependencies:
libc.so.6()(64bit) is needed by postfix-2.3.3-2.1.x86_64
libc.so.6(GLIBC_2.2.5)(64bit) is needed by postfix-2.3.3-2.1.x86_64
libc.so.6(GLIBC_2.3)(64bit) is needed by postfix-2.3.3-2.1.x86_64
libc.so.6(GLIBC_2.3.4)(64bit) is needed by postfix-2.3.3-2.1.x86_64
libc.so.6(GLIBC_2.4)(64bit) is needed by postfix-2.3.3-2.1.x86_64
libdl.so.2()(64bit) is needed by postfix-2.3.3-2.1.x86_64
libm.so.6()(64bit) is needed by postfix-2.3.3-2.1.x86_64
libnsl.so.1()(64bit) is needed by postfix-2.3.3-2.1.x86_64
libnsl.so.1(GLIBC_2.2.5)(64bit) is needed by postfix-2.3.3-2.1.x86_64
libresolv.so.2()(64bit) is needed by postfix-2.3.3-2.1.x86_64
libresolv.so.2(GLIBC_2.2.5)(64bit) is needed by postfix-2.3.3-2.1.x86_64

Note that if I install it --nodeps

The install works fine and so does postfix since glibc is clearly available on the system.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Ragu_3
Trusted Contributor

Re: Possible glibc issues: hard to fix with risk of breakage

>> am fishing for some tips on how to diagnose and correct

Looks as if your libc6 install/upgrade croaked on itself. Do not reboot or switch down the machine!

Is scp still working? Check this, and if it is, locate a machine/server with the same version of glibc that was here earlier, copy it over into /lib and run ldconfig. Do not run ldconfig before this.

One 2c tip. ;)

Debian GNU/Linux for the Enterprise! Ask HP ...
Stephen P. Schaefer
Frequent Advisor

Re: Possible glibc issues: hard to fix with risk of breakage

The fact that anything is working at all would indicate to me that some vestige of a working glibc is still present. Now that you've unlocked /etc/nsswitch.conf, I would

(a) get an appropriate copy of the glibc rpm

(b) use rpm -ql -p glibc...rpm to get a list of the *other* files you need to unlock

(c) after unlocking them, use rpm -Uvh --force glibc...rpm

(d) continue with a yum update

If things go very wrong, then I'd boot from alternative media (e.g., rescue option when booting from a DVD) with the desired glibc...rpm available, mount the damaged file systems on this in memory version of the OS, and use rpm --root to get a good glibc installed. OR, having kept all unique data on their own file systems (and confident that it's all backed up) reinstall the OS - which in a medium to large shop will usually be an automated process.
Matti_Kurkela
Honored Contributor
Solution

Re: Possible glibc issues: hard to fix with risk of breakage

Looks like the _32-bit_ glibc.i686 package might somehow have usurped the place of a _64-bit_ glibc.x86_64 in the installed package database.
Postfix installation is producing errors, because it depends on the 64-bit version specifically.

A x86_64 system with 32-bit compatibility libraries installed should have both versions of glibc, but the packaging system is generally supposed to understand that the configuration files like /etc/nsswitch.conf are shared between the two packages, but belong primarily to the 64-bit version (since it's the native architecture).

If "yum update glibc.x86_64" does not clear the problem, you should probably download a 64-bit version of the glibc package of the appropriate version (i.e. glibc-2.5-42.el5_4.3.x86_64 or newer) and install it manually (using "rpm -Uvh").

I wonder why your earlier "yum update glibc" got only the 32-bit version... usually updates to both 32-bit and 64-bit versions are released almost simultaneously.

MK
MK
Steven E. Protter
Exalted Contributor

Re: Possible glibc issues: hard to fix with risk of breakage

Shalom,

It would appear the 64 bit glibc is missing from the system.

[root@mercury mqueue]# rpm -qa | grep glibc-2.5-42
glibc-2.5-42.el5_4.3
[root@mercury mqueue]# rpm -ql glibc-2.5-42.el5_4.3
/etc/ld.so.cache
/etc/ld.so.conf
/etc/ld.so.conf.d
/etc/localtime
/etc/nsswitch.conf
/etc/rpc
/lib/i686
/lib/i686/nosegneg
/lib/i686/nosegneg/libc-2.5.so
/lib/i686/nosegneg/libc.so.6
/lib/i686/nosegneg/libm-2.5.so
/lib/i686/nosegneg/libm.so.6
/lib/i686/nosegneg/libpthread-2.5.so
/lib/i686/nosegneg/libpthread.so.0
/lib/i686/nosegneg/librt-2.5.so
/lib/i686/nosegneg/librt.so.1
/lib/i686/nosegneg/libthread_db-1.0.so
/lib/i686/nosegneg/libthread_db.so.1
/lib/ld-2.5.so
/lib/ld-linux.so.2
/lib/libBrokenLocale-2.5.so
/lib/libBrokenLocale.so.1
/lib/libSegFault.so
/lib/libanl-2.5.so
/lib/libanl.so.1
/lib/libc-2.5.so
/lib/libc.so.6
/lib/libcidn-2.5.so
/lib/libcidn.so.1
/lib/libcrypt-2.5.so
/lib/libcrypt.so.1
/lib/libdl-2.5.so
/lib/libdl.so.2
/lib/libm-2.5.so
/lib/libm.so.6
/lib/libnsl-2.5.so
/lib/libnsl.so.1
/lib/libnss_compat-2.5.so
/lib/libnss_compat.so.2
/lib/libnss_dns-2.5.so
/lib/libnss_dns.so.2
/lib/libnss_files-2.5.so
/lib/libnss_files.so.2
/lib/libnss_hesiod-2.5.so
/lib/libnss_hesiod.so.2
/lib/libnss_nis-2.5.so
/lib/libnss_nis.so.2
/lib/libnss_nisplus-2.5.so
/lib/libnss_nisplus.so.2
/lib/libpthread-2.5.so
/lib/libpthread.so.0
/lib/libresolv-2.5.so
/lib/libresolv.so.2
/lib/librt-2.5.so
/lib/librt.so.1
/lib/libthread_db-1.0.so
/lib/libthread_db.so.1
/lib/libutil-2.5.so
/lib/libutil.so.1
/lib/rtkaio
/lib/rtkaio/i686
/lib/rtkaio/i686/nosegneg
/lib/rtkaio/i686/nosegneg/librt.so.1
/lib/rtkaio/i686/nosegneg/librtkaio-2.5.so
/lib/rtkaio/librt.so.1
/lib/rtkaio/librtkaio-2.5.so
/sbin/ldconfig
/sbin/sln
/usr/lib/gconv
/usr/lib/gconv/ANSI_X3.110.so
/usr/lib/gconv/ARMSCII-8.so
/usr/lib/gconv/ASMO_449.so
/usr/lib/gconv/BIG5.so
/usr/lib/gconv/BIG5HKSCS.so
/usr/lib/gconv/CP10007.so
/usr/lib/gconv/CP1125.so
/usr/lib/gconv/CP1250.so
/usr/lib/gconv/CP1251.so
/usr/lib/gconv/CP1252.so
/usr/lib/gconv/CP1253.so
/usr/lib/gconv/CP1254.so
/usr/lib/gconv/CP1255.so
/usr/lib/gconv/CP1256.so
/usr/lib/gconv/CP1257.so
/usr/lib/gconv/CP1258.so
/usr/lib/gconv/CP737.so
/usr/lib/gconv/CP775.so
/usr/lib/gconv/CP932.so
/usr/lib/gconv/CSN_369103.so
/usr/lib/gconv/CWI.so
/usr/lib/gconv/DEC-MCS.so
/usr/lib/gconv/EBCDIC-AT-DE-A.so
/usr/lib/gconv/EBCDIC-AT-DE.so
/usr/lib/gconv/EBCDIC-CA-FR.so
/usr/lib/gconv/EBCDIC-DK-NO-A.so
/usr/lib/gconv/EBCDIC-DK-NO.so
/usr/lib/gconv/EBCDIC-ES-A.so
/usr/lib/gconv/EBCDIC-ES-S.so
/usr/lib/gconv/EBCDIC-ES.so
/usr/lib/gconv/EBCDIC-FI-SE-A.so
/usr/lib/gconv/EBCDIC-FI-SE.so
/usr/lib/gconv/EBCDIC-FR.so
/usr/lib/gconv/EBCDIC-IS-FRISS.so
/usr/lib/gconv/EBCDIC-IT.so
/usr/lib/gconv/EBCDIC-PT.so
/usr/lib/gconv/EBCDIC-UK.so
/usr/lib/gconv/EBCDIC-US.so
/usr/lib/gconv/ECMA-CYRILLIC.so
/usr/lib/gconv/EUC-CN.so
/usr/lib/gconv/EUC-JISX0213.so
/usr/lib/gconv/EUC-JP-MS.so
/usr/lib/gconv/EUC-JP.so
/usr/lib/gconv/EUC-KR.so
/usr/lib/gconv/EUC-TW.so
/usr/lib/gconv/GB18030.so
/usr/lib/gconv/GBBIG5.so
/usr/lib/gconv/GBGBK.so
/usr/lib/gconv/GBK.so
/usr/lib/gconv/GEORGIAN-ACADEMY.so
/usr/lib/gconv/GEORGIAN-PS.so
/usr/lib/gconv/GOST_19768-74.so
/usr/lib/gconv/GREEK-CCITT.so
/usr/lib/gconv/GREEK7-OLD.so
/usr/lib/gconv/GREEK7.so
/usr/lib/gconv/HP-ROMAN8.so
/usr/lib/gconv/IBM037.so
/usr/lib/gconv/IBM038.so
/usr/lib/gconv/IBM1004.so
/usr/lib/gconv/IBM1008.so
/usr/lib/gconv/IBM1008_420.so
/usr/lib/gconv/IBM1025.so
/usr/lib/gconv/IBM1026.so
/usr/lib/gconv/IBM1046.so
/usr/lib/gconv/IBM1047.so
/usr/lib/gconv/IBM1097.so
/usr/lib/gconv/IBM1112.so
/usr/lib/gconv/IBM1122.so
/usr/lib/gconv/IBM1123.so
/usr/lib/gconv/IBM1124.so
/usr/lib/gconv/IBM1129.so
/usr/lib/gconv/IBM1130.so
/usr/lib/gconv/IBM1132.so
/usr/lib/gconv/IBM1133.so
/usr/lib/gconv/IBM1137.so
/usr/lib/gconv/IBM1140.so
/usr/lib/gconv/IBM1141.so
/usr/lib/gconv/IBM1142.so
/usr/lib/gconv/IBM1143.so
/usr/lib/gconv/IBM1144.so
/usr/lib/gconv/IBM1145.so
/usr/lib/gconv/IBM1146.so
/usr/lib/gconv/IBM1147.so
/usr/lib/gconv/IBM1148.so
/usr/lib/gconv/IBM1149.so
/usr/lib/gconv/IBM1153.so
/usr/lib/gconv/IBM1154.so
/usr/lib/gconv/IBM1155.so
/usr/lib/gconv/IBM1156.so
/usr/lib/gconv/IBM1157.so
/usr/lib/gconv/IBM1158.so
/usr/lib/gconv/IBM1160.so
/usr/lib/gconv/IBM1161.so
/usr/lib/gconv/IBM1162.so
/usr/lib/gconv/IBM1163.so
/usr/lib/gconv/IBM1164.so
/usr/lib/gconv/IBM1166.so
/usr/lib/gconv/IBM1167.so
/usr/lib/gconv/IBM12712.so
/usr/lib/gconv/IBM1364.so
/usr/lib/gconv/IBM1371.so
/usr/lib/gconv/IBM1388.so
/usr/lib/gconv/IBM1390.so
/usr/lib/gconv/IBM1399.so
/usr/lib/gconv/IBM16804.so
/usr/lib/gconv/IBM256.so
/usr/lib/gconv/IBM273.so
/usr/lib/gconv/IBM274.so
/usr/lib/gconv/IBM275.so
/usr/lib/gconv/IBM277.so
/usr/lib/gconv/IBM278.so
/usr/lib/gconv/IBM280.so
/usr/lib/gconv/IBM281.so
/usr/lib/gconv/IBM284.so
/usr/lib/gconv/IBM285.so
/usr/lib/gconv/IBM290.so
/usr/lib/gconv/IBM297.so
/usr/lib/gconv/IBM420.so
/usr/lib/gconv/IBM423.so
/usr/lib/gconv/IBM424.so
/usr/lib/gconv/IBM437.so
/usr/lib/gconv/IBM4517.so
/usr/lib/gconv/IBM4899.so
/usr/lib/gconv/IBM4909.so
/usr/lib/gconv/IBM4971.so
/usr/lib/gconv/IBM500.so
/usr/lib/gconv/IBM5347.so
/usr/lib/gconv/IBM803.so
/usr/lib/gconv/IBM850.so
/usr/lib/gconv/IBM851.so
/usr/lib/gconv/IBM852.so
/usr/lib/gconv/IBM855.so
/usr/lib/gconv/IBM856.so
/usr/lib/gconv/IBM857.so
/usr/lib/gconv/IBM860.so
/usr/lib/gconv/IBM861.so
/usr/lib/gconv/IBM862.so
/usr/lib/gconv/IBM863.so
/usr/lib/gconv/IBM864.so
/usr/lib/gconv/IBM865.so
/usr/lib/gconv/IBM866.so
/usr/lib/gconv/IBM866NAV.so
/usr/lib/gconv/IBM868.so
/usr/lib/gconv/IBM869.so
/usr/lib/gconv/IBM870.so
/usr/lib/gconv/IBM871.so
/usr/lib/gconv/IBM874.so
/usr/lib/gconv/IBM875.so
/usr/lib/gconv/IBM880.so
/usr/lib/gconv/IBM891.so
/usr/lib/gconv/IBM901.so
/usr/lib/gconv/IBM902.so
/usr/lib/gconv/IBM903.so
/usr/lib/gconv/IBM9030.so
/usr/lib/gconv/IBM904.so
/usr/lib/gconv/IBM905.so
/usr/lib/gconv/IBM9066.so
/usr/lib/gconv/IBM918.so
/usr/lib/gconv/IBM921.so
/usr/lib/gconv/IBM922.so
/usr/lib/gconv/IBM930.so
/usr/lib/gconv/IBM932.so
/usr/lib/gconv/IBM933.so
/usr/lib/gconv/IBM935.so
/usr/lib/gconv/IBM937.so
/usr/lib/gconv/IBM939.so
/usr/lib/gconv/IBM943.so
/usr/lib/gconv/IBM9448.so
/usr/lib/gconv/IEC_P27-1.so
/usr/lib/gconv/INIS-8.so
/usr/lib/gconv/INIS-CYRILLIC.so
/usr/lib/gconv/INIS.so
/usr/lib/gconv/ISIRI-3342.so
/usr/lib/gconv/ISO-2022-CN-EXT.so
/usr/lib/gconv/ISO-2022-CN.so
/usr/lib/gconv/ISO-2022-JP-3.so
/usr/lib/gconv/ISO-2022-JP.so
/usr/lib/gconv/ISO-2022-KR.so
/usr/lib/gconv/ISO-IR-197.so
/usr/lib/gconv/ISO-IR-209.so
/usr/lib/gconv/ISO646.so
/usr/lib/gconv/ISO8859-1.so
/usr/lib/gconv/ISO8859-10.so
/usr/lib/gconv/ISO8859-11.so
/usr/lib/gconv/ISO8859-13.so
/usr/lib/gconv/ISO8859-14.so
/usr/lib/gconv/ISO8859-15.so
/usr/lib/gconv/ISO8859-16.so
/usr/lib/gconv/ISO8859-2.so
/usr/lib/gconv/ISO8859-3.so
/usr/lib/gconv/ISO8859-4.so
/usr/lib/gconv/ISO8859-5.so
/usr/lib/gconv/ISO8859-6.so
/usr/lib/gconv/ISO8859-7.so
/usr/lib/gconv/ISO8859-8.so
/usr/lib/gconv/ISO8859-9.so
/usr/lib/gconv/ISO_10367-BOX.so
/usr/lib/gconv/ISO_11548-1.so
/usr/lib/gconv/ISO_2033.so
/usr/lib/gconv/ISO_5427-EXT.so
/usr/lib/gconv/ISO_5427.so
/usr/lib/gconv/ISO_5428.so
/usr/lib/gconv/ISO_6937-2.so
/usr/lib/gconv/ISO_6937.so
/usr/lib/gconv/JOHAB.so
/usr/lib/gconv/KOI-8.so
/usr/lib/gconv/KOI8-R.so
/usr/lib/gconv/KOI8-T.so
/usr/lib/gconv/KOI8-U.so
/usr/lib/gconv/LATIN-GREEK-1.so
/usr/lib/gconv/LATIN-GREEK.so
/usr/lib/gconv/MAC-IS.so
/usr/lib/gconv/MAC-SAMI.so
/usr/lib/gconv/MAC-UK.so
/usr/lib/gconv/MACINTOSH.so
/usr/lib/gconv/MIK.so
/usr/lib/gconv/NATS-DANO.so
/usr/lib/gconv/NATS-SEFI.so
/usr/lib/gconv/PT154.so
/usr/lib/gconv/RK1048.so
/usr/lib/gconv/SAMI-WS2.so
/usr/lib/gconv/SHIFT_JISX0213.so
/usr/lib/gconv/SJIS.so
/usr/lib/gconv/T.61.so
/usr/lib/gconv/TCVN5712-1.so
/usr/lib/gconv/TIS-620.so
/usr/lib/gconv/TSCII.so
/usr/lib/gconv/UHC.so
/usr/lib/gconv/UNICODE.so
/usr/lib/gconv/UTF-16.so
/usr/lib/gconv/UTF-32.so
/usr/lib/gconv/UTF-7.so
/usr/lib/gconv/VISCII.so
/usr/lib/gconv/gconv-modules
/usr/lib/gconv/gconv-modules.cache
/usr/lib/gconv/libCNS.so
/usr/lib/gconv/libGB.so
/usr/lib/gconv/libISOIR165.so
/usr/lib/gconv/libJIS.so
/usr/lib/gconv/libJISX0213.so
/usr/lib/gconv/libKSC.so
/usr/libexec/getconf
/usr/libexec/getconf/POSIX_V6_ILP32_OFF32
/usr/libexec/getconf/POSIX_V6_ILP32_OFFBIG
/usr/sbin/glibc_post_upgrade.i686
/usr/sbin/iconvconfig
/usr/sbin/iconvconfig.i686
/usr/share/doc/glibc-2.5
/usr/share/doc/glibc-2.5/BUGS
/usr/share/doc/glibc-2.5/CONFORMANCE
/usr/share/doc/glibc-2.5/COPYING
/usr/share/doc/glibc-2.5/COPYING.LIB
/usr/share/doc/glibc-2.5/FAQ
/usr/share/doc/glibc-2.5/INSTALL
/usr/share/doc/glibc-2.5/LICENSES
/usr/share/doc/glibc-2.5/NEWS
/usr/share/doc/glibc-2.5/NOTES
/usr/share/doc/glibc-2.5/PROJECTS
/usr/share/doc/glibc-2.5/README
/usr/share/doc/glibc-2.5/README.hesiod
/usr/share/doc/glibc-2.5/README.libm


Nothing 64 bit here at all. It's kind of amazing that postfix is working at all.

scp and all is working fine.

[root@mercury mqueue]# yum -y install glibc.x86_64
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* addons: www.ontime1405.com
* base: holmes.umflint.edu
* extras: mirrors.liquidweb.com
* rpmforge: apt.sw.be
* updates: updates.interworx.info
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package glibc.x86_64 0:2.5-42.el5_4.3 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Installing:
glibc x86_64 2.5-42.el5_4.3 updates 4.7 M

Transaction Summary
================================================================================
Install 1 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 4.7 M
Downloading Packages:
glibc-2.5-42.el5_4.3.x86_64.rpm | 4.7 MB 00:04
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : glibc 1/1

Installed:
glibc.x86_64 0:2.5-42.el5_4.3

Complete!

# After the install.

[root@mercury mqueue]# rpm -qa | grep ^glibc
glibc-common-2.5-42.el5_4.3
glibc-devel-2.5-42.el5_4.3
glibc-headers-2.5-42.el5_4.3
glibc-devel-2.5-42.el5_4.3
glibc-2.5-42.el5_4.3
glibc-2.5-42.el5_4.3

# Nice of it to indicate the version that is actually installed.

The next listing is a partial, too much output.

/usr/lib/gconv/IBM1140.so
/usr/lib/gconv/IBM1141.so
/usr/lib/gconv/IBM1142.so
/usr/lib/gconv/IBM1143.so
/usr/lib/gconv/IBM1144.so
/usr/lib/gconv/IBM1145.so
/usr/lib/gconv/IBM1146.so
/usr/lib/gconv/IBM1147.so
/usr/lib/gconv/IBM1148.so
/usr/lib/gconv/IBM1149.so
/usr/lib/gconv/IBM1153.so
/usr/lib/gconv/IBM1154.so
/usr/lib/gconv/IBM1155.so
/usr/lib/gconv/IBM1156.so
/usr/lib/gconv/IBM1157.so
/usr/lib/gconv/IBM1158.so
/usr/lib/gconv/IBM1160.so
/usr/lib/gconv/IBM1161.so
/usr/lib/gconv/IBM1162.so
/usr/lib/gconv/IBM1163.so
/usr/lib/gconv/IBM1164.so
/usr/lib/gconv/IBM1166.so
/usr/lib/gconv/IBM1167.so
/usr/lib/gconv/IBM12712.so
/usr/lib/gconv/IBM1364.so
/usr/lib/gconv/IBM1371.so
/usr/lib/gconv/IBM1388.so
/usr/lib/gconv/IBM1390.so
/usr/lib/gconv/IBM1399.so
/usr/lib/gconv/IBM16804.so
/usr/lib/gconv/IBM256.so
/usr/lib/gconv/IBM273.so
/usr/lib/gconv/IBM274.so
/usr/lib/gconv/IBM275.so
/usr/lib/gconv/IBM277.so
/usr/lib/gconv/IBM278.so
/usr/lib/gconv/IBM280.so
/usr/lib/gconv/IBM281.so
/usr/lib/gconv/IBM284.so
/usr/lib/gconv/IBM285.so
/usr/lib/gconv/IBM290.so
/usr/lib/gconv/IBM297.so
/usr/lib/gconv/IBM420.so
/usr/lib/gconv/IBM423.so
/usr/lib/gconv/IBM424.so
/usr/lib/gconv/IBM437.so
/usr/lib/gconv/IBM4517.so
/usr/lib/gconv/IBM4899.so
/usr/lib/gconv/IBM4909.so
/usr/lib/gconv/IBM4971.so
/usr/lib/gconv/IBM500.so
/usr/lib/gconv/IBM5347.so
/usr/lib/gconv/IBM803.so
/usr/lib/gconv/IBM850.so
/usr/lib/gconv/IBM851.so
/usr/lib/gconv/IBM852.so
/usr/lib/gconv/IBM855.so
/usr/lib/gconv/IBM856.so
/usr/lib/gconv/IBM857.so
/usr/lib/gconv/IBM860.so
/usr/lib/gconv/IBM861.so
/usr/lib/gconv/IBM862.so
/usr/lib/gconv/IBM863.so
/usr/lib/gconv/IBM864.so
/usr/lib/gconv/IBM865.so
/usr/lib/gconv/IBM866.so
/usr/lib/gconv/IBM866NAV.so
/usr/lib/gconv/IBM868.so
/usr/lib/gconv/IBM869.so
/usr/lib/gconv/IBM870.so
/usr/lib/gconv/IBM871.so
/usr/lib/gconv/IBM874.so
/usr/lib/gconv/IBM875.so
/usr/lib/gconv/IBM880.so
/usr/lib/gconv/IBM891.so
/usr/lib/gconv/IBM901.so
/usr/lib/gconv/IBM902.so
/usr/lib/gconv/IBM903.so
/usr/lib/gconv/IBM9030.so
/usr/lib/gconv/IBM904.so
/usr/lib/gconv/IBM905.so
/usr/lib/gconv/IBM9066.so
/usr/lib/gconv/IBM918.so
/usr/lib/gconv/IBM921.so
/usr/lib/gconv/IBM922.so
/usr/lib/gconv/IBM930.so
/usr/lib/gconv/IBM932.so
/usr/lib/gconv/IBM933.so
/usr/lib/gconv/IBM935.so
/usr/lib/gconv/IBM937.so
/usr/lib/gconv/IBM939.so
/usr/lib/gconv/IBM943.so
/usr/lib/gconv/IBM9448.so
/usr/lib/gconv/IEC_P27-1.so
/usr/lib/gconv/INIS-8.so
/usr/lib/gconv/INIS-CYRILLIC.so
/usr/lib/gconv/INIS.so
/usr/lib/gconv/ISIRI-3342.so
/usr/lib/gconv/ISO-2022-CN-EXT.so
/usr/lib/gconv/ISO-2022-CN.so
/usr/lib/gconv/ISO-2022-JP-3.so
/usr/lib/gconv/ISO-2022-JP.so
/usr/lib/gconv/ISO-2022-KR.so
/usr/lib/gconv/ISO-IR-197.so
/usr/lib/gconv/ISO-IR-209.so
/usr/lib/gconv/ISO646.so
/usr/lib/gconv/ISO8859-1.so
/usr/lib/gconv/ISO8859-10.so
/usr/lib/gconv/ISO8859-11.so
/usr/lib/gconv/ISO8859-13.so
/usr/lib/gconv/ISO8859-14.so
/usr/lib/gconv/ISO8859-15.so
/usr/lib/gconv/ISO8859-16.so
/usr/lib/gconv/ISO8859-2.so
/usr/lib/gconv/ISO8859-3.so
/usr/lib/gconv/ISO8859-4.so
/usr/lib/gconv/ISO8859-5.so
/usr/lib/gconv/ISO8859-6.so
/usr/lib/gconv/ISO8859-7.so
/usr/lib/gconv/ISO8859-8.so
/usr/lib/gconv/ISO8859-9.so
/usr/lib/gconv/ISO_10367-BOX.so
/usr/lib/gconv/ISO_11548-1.so
/usr/lib/gconv/ISO_2033.so
/usr/lib/gconv/ISO_5427-EXT.so
/usr/lib/gconv/ISO_5427.so
/usr/lib/gconv/ISO_5428.so
/usr/lib/gconv/ISO_6937-2.so
/usr/lib/gconv/ISO_6937.so
/usr/lib/gconv/JOHAB.so
/usr/lib/gconv/KOI-8.so
/usr/lib/gconv/KOI8-R.so
/usr/lib/gconv/KOI8-T.so
/usr/lib/gconv/KOI8-U.so
/usr/lib/gconv/LATIN-GREEK-1.so
/usr/lib/gconv/LATIN-GREEK.so
/usr/lib/gconv/MAC-IS.so
/usr/lib/gconv/MAC-SAMI.so
/usr/lib/gconv/MAC-UK.so
/usr/lib/gconv/MACINTOSH.so
/usr/lib/gconv/MIK.so
/usr/lib/gconv/NATS-DANO.so
/usr/lib/gconv/NATS-SEFI.so
/usr/lib/gconv/PT154.so
/usr/lib/gconv/RK1048.so
/usr/lib/gconv/SAMI-WS2.so
/usr/lib/gconv/SHIFT_JISX0213.so
/usr/lib/gconv/SJIS.so
/usr/lib/gconv/T.61.so
/usr/lib/gconv/TCVN5712-1.so
/usr/lib/gconv/TIS-620.so
/usr/lib/gconv/TSCII.so
/usr/lib/gconv/UHC.so
/usr/lib/gconv/UNICODE.so
/usr/lib/gconv/UTF-16.so
/usr/lib/gconv/UTF-32.so
/usr/lib/gconv/UTF-7.so
/usr/lib/gconv/VISCII.so
/usr/lib/gconv/gconv-modules
/usr/lib/gconv/gconv-modules.cache
/usr/lib/gconv/libCNS.so
/usr/lib/gconv/libGB.so
/usr/lib/gconv/libISOIR165.so
/usr/lib/gconv/libJIS.so
/usr/lib/gconv/libJISX0213.so
/usr/lib/gconv/libKSC.so
/usr/libexec/getconf
/usr/libexec/getconf/POSIX_V6_ILP32_OFF32
/usr/libexec/getconf/POSIX_V6_ILP32_OFFBIG
/usr/sbin/glibc_post_upgrade.i686
/usr/sbin/iconvconfig
/usr/sbin/iconvconfig.i686
/usr/share/doc/glibc-2.5
/usr/share/doc/glibc-2.5/BUGS
/usr/share/doc/glibc-2.5/CONFORMANCE
/usr/share/doc/glibc-2.5/COPYING
/usr/share/doc/glibc-2.5/COPYING.LIB
/usr/share/doc/glibc-2.5/FAQ
/usr/share/doc/glibc-2.5/INSTALL
/usr/share/doc/glibc-2.5/LICENSES
/usr/share/doc/glibc-2.5/NEWS
/usr/share/doc/glibc-2.5/NOTES
/usr/share/doc/glibc-2.5/PROJECTS
/usr/share/doc/glibc-2.5/README
/usr/share/doc/glibc-2.5/README.hesiod
/usr/share/doc/glibc-2.5/README.libm
/etc/ld.so.cache
/etc/ld.so.conf
/etc/ld.so.conf.d
/etc/localtime
/etc/nsswitch.conf
/etc/rpc
/lib64/ld-2.5.so
/lib64/ld-linux-x86-64.so.2
/lib64/libBrokenLocale-2.5.so
/lib64/libBrokenLocale.so.1
/lib64/libSegFault.so
/lib64/libanl-2.5.so
/lib64/libanl.so.1
/lib64/libc-2.5.so
/lib64/libc.so.6
/lib64/libcidn-2.5.so
/lib64/libcidn.so.1
/lib64/libcrypt-2.5.so
/lib64/libcrypt.so.1
/lib64/libdl-2.5.so
/lib64/libdl.so.2
/lib64/libm-2.5.so
/lib64/libm.so.6
/lib64/libnsl-2.5.so
/lib64/libnsl.so.1
/lib64/libnss_compat-2.5.so
/lib64/libnss_compat.so.2
/lib64/libnss_dns-2.5.so
/lib64/libnss_dns.so.2
/lib64/libnss_files-2.5.so
/lib64/libnss_files.so.2
/lib64/libnss_hesiod-2.5.so
/lib64/libnss_hesiod.so.2
/lib64/libnss_nis-2.5.so
/lib64/libnss_nis.so.2
/lib64/libnss_nisplus-2.5.so
/lib64/libnss_nisplus.so.2
/lib64/libpthread-2.5.so
/lib64/libpthread.so.0
/lib64/libresolv-2.5.so
/lib64/libresolv.so.2
/lib64/librt-2.5.so
/lib64/librt.so.1
/lib64/libthread_db-1.0.so
/lib64/libthread_db.so.1
/lib64/libutil-2.5.so
/lib64/libutil.so.1
/lib64/rtkaio
/lib64/rtkaio/librt.so.1
/lib64/rtkaio/librtkaio-2.5.so
/sbin/ldconfig
/sbin/sln
/usr/lib64/gconv
/usr/lib64/gconv/ANSI_X3.110.so
/usr/lib64/gconv/ARMSCII-8.so
/usr/lib64/gconv/ASMO_449.so
/usr/lib64/gconv/BIG5.so
/usr/lib64/gconv/BIG5HKSCS.so
/usr/lib64/gconv/CP10007.so
/usr/lib64/gconv/CP1125.so
/usr/lib64/gconv/CP1250.so
/usr/lib64/gconv/CP1251.so
/usr/lib64/gconv/CP1252.so
/usr/lib64/gconv/CP1253.so
/usr/lib64/gconv/CP1254.so
/usr/lib64/gconv/CP1255.so
/usr/lib64/gconv/CP1256.so
/usr/lib64/gconv/CP1257.so
/usr/lib64/gconv/CP1258.so
/usr/lib64/gconv/CP737.so
/usr/lib64/gconv/CP775.so
/usr/lib64/gconv/CP932.so
/usr/lib64/gconv/CSN_369103.so
/usr/lib64/gconv/CWI.so
/usr/lib64/gconv/DEC-MCS.so
/usr/lib64/gconv/EBCDIC-AT-DE-A.so
/usr/lib64/gconv/EBCDIC-AT-DE.so
/usr/lib64/gconv/EBCDIC-CA-FR.so
/usr/lib64/gconv/EBCDIC-DK-NO-A.so
/usr/lib64/gconv/EBCDIC-DK-NO.so
/usr/lib64/gconv/EBCDIC-ES-A.so
/usr/lib64/gconv/EBCDIC-ES-S.so
/usr/lib64/gconv/EBCDIC-ES.so
/usr/lib64/gconv/EBCDIC-FI-SE-A.so
/usr/lib64/gconv/EBCDIC-FI-SE.so
/usr/lib64/gconv/EBCDIC-FR.so
/usr/lib64/gconv/EBCDIC-IS-FRISS.so
/usr/lib64/gconv/EBCDIC-IT.so
/usr/lib64/gconv/EBCDIC-PT.so
/usr/lib64/gconv/EBCDIC-UK.so
/usr/lib64/gconv/EBCDIC-US.so
/usr/lib64/gconv/ECMA-CYRILLIC.so
/usr/lib64/gconv/EUC-CN.so
/usr/lib64/gconv/EUC-JISX0213.so
/usr/lib64/gconv/EUC-JP-MS.so
/usr/lib64/gconv/EUC-JP.so
/usr/lib64/gconv/EUC-KR.so
/usr/lib64/gconv/EUC-TW.so
/usr/lib64/gconv/GB18030.so
/usr/lib64/gconv/GBBIG5.so
/usr/lib64/gconv/GBGBK.so
/usr/lib64/gconv/GBK.so
/usr/lib64/gconv/GEORGIAN-ACADEMY.so
/usr/lib64/gconv/GEORGIAN-PS.so
/usr/lib64/gconv/GOST_19768-74.so
/usr/lib64/gconv/GREEK-CCITT.so
/usr/lib64/gconv/GREEK7-OLD.so
/usr/lib64/gconv/GREEK7.so
/usr/lib64/gconv/HP-ROMAN8.so
/usr/lib64/gconv/IBM037.so
/usr/lib64/gconv/IBM038.so
/usr/lib64/gconv/IBM1004.so
/usr/lib64/gconv/IBM1008.so
/usr/lib64/gconv/IBM1008_420.so
/usr/lib64/gconv/IBM1025.so
/usr/lib64/gconv/IBM1026.so
/usr/lib64/gconv/IBM1046.so
/usr/lib64/gconv/IBM1047.so
/usr/lib64/gconv/IBM1097.so
/usr/lib64/gconv/IBM1112.so
/usr/lib64/gconv/IBM1122.so
/usr/lib64/gconv/IBM1123.so
/usr/lib64/gconv/IBM1124.so
/usr/lib64/gconv/IBM1129.so
/usr/lib64/gconv/IBM1130.so
/usr/lib64/gconv/IBM1132.so
/usr/lib64/gconv/IBM1133.so
/usr/lib64/gconv/IBM1137.so
/usr/lib64/gconv/IBM1140.so
/usr/lib64/gconv/IBM1141.so
/usr/lib64/gconv/IBM1142.so
/usr/lib64/gconv/IBM1143.so
/usr/lib64/gconv/IBM1144.so
/usr/lib64/gconv/IBM1145.so
/usr/lib64/gconv/IBM1146.so
/usr/lib64/gconv/IBM1147.so
/usr/lib64/gconv/IBM1148.so
/usr/lib64/gconv/IBM1149.so
/usr/lib64/gconv/IBM1153.so
/usr/lib64/gconv/IBM1154.so
/usr/lib64/gconv/IBM1155.so
/usr/lib64/gconv/IBM1156.so
/usr/lib64/gconv/IBM1157.so
/usr/lib64/gconv/IBM1158.so
/usr/lib64/gconv/IBM1160.so
/usr/lib64/gconv/IBM1161.so
/usr/lib64/gconv/IBM1162.so
/usr/lib64/gconv/IBM1163.so
/usr/lib64/gconv/IBM1164.so
/usr/lib64/gconv/IBM1166.so
/usr/lib64/gconv/IBM1167.so
/usr/lib64/gconv/IBM12712.so
/usr/lib64/gconv/IBM1364.so
/usr/lib64/gconv/IBM1371.so
/usr/lib64/gconv/IBM1388.so
/usr/lib64/gconv/IBM1390.so
/usr/lib64/gconv/IBM1399.so
/usr/lib64/gconv/IBM16804.so
/usr/lib64/gconv/IBM256.so
/usr/lib64/gconv/IBM273.so
/usr/lib64/gconv/IBM274.so
/usr/lib64/gconv/IBM275.so
/usr/lib64/gconv/IBM277.so
/usr/lib64/gconv/IBM278.so
/usr/lib64/gconv/IBM280.so
/usr/lib64/gconv/IBM281.so
/usr/lib64/gconv/IBM284.so
/usr/lib64/gconv/IBM285.so
/usr/lib64/gconv/IBM290.so
/usr/lib64/gconv/IBM297.so
/usr/lib64/gconv/IBM420.so
/usr/lib64/gconv/IBM423.so
/usr/lib64/gconv/IBM424.so
/usr/lib64/gconv/IBM437.so
/usr/lib64/gconv/IBM4517.so
/usr/lib64/gconv/IBM4899.so
/usr/lib64/gconv/IBM4909.so
/usr/lib64/gconv/IBM4971.so
/usr/lib64/gconv/IBM500.so
/usr/lib64/gconv/IBM5347.so
/usr/lib64/gconv/IBM803.so
/usr/lib64/gconv/IBM850.so
/usr/lib64/gconv/IBM851.so
/usr/lib64/gconv/IBM852.so
/usr/lib64/gconv/IBM855.so
/usr/lib64/gconv/IBM856.so
/usr/lib64/gconv/IBM857.so
/usr/lib64/gconv/IBM860.so
/usr/lib64/gconv/IBM861.so
/usr/lib64/gconv/IBM862.so
/usr/lib64/gconv/IBM863.so
/usr/lib64/gconv/IBM864.so
/usr/lib64/gconv/IBM865.so
/usr/lib64/gconv/IBM866.so
/usr/lib64/gconv/IBM866NAV.so
/usr/lib64/gconv/IBM868.so
/usr/lib64/gconv/IBM869.so
/usr/lib64/gconv/IBM870.so
/usr/lib64/gconv/IBM871.so
/usr/lib64/gconv/IBM874.so
/usr/lib64/gconv/IBM875.so
/usr/lib64/gconv/IBM880.so
/usr/lib64/gconv/IBM891.so
/usr/lib64/gconv/IBM901.so
/usr/lib64/gconv/IBM902.so
/usr/lib64/gconv/IBM903.so
/usr/lib64/gconv/IBM9030.so
/usr/lib64/gconv/IBM904.so
/usr/lib64/gconv/IBM905.so
/usr/lib64/gconv/IBM9066.so
/usr/lib64/gconv/IBM918.so
/usr/lib64/gconv/IBM921.so
/usr/lib64/gconv/IBM922.so
/usr/lib64/gconv/IBM930.so
/usr/lib64/gconv/IBM932.so
/usr/lib64/gconv/IBM933.so
/usr/lib64/gconv/IBM935.so
/usr/lib64/gconv/IBM937.so
/usr/lib64/gconv/IBM939.so
/usr/lib64/gconv/IBM943.so
/usr/lib64/gconv/IBM9448.so
/usr/lib64/gconv/IEC_P27-1.so
/usr/lib64/gconv/INIS-8.so
/usr/lib64/gconv/INIS-CYRILLIC.so
/usr/lib64/gconv/INIS.so
/usr/lib64/gconv/ISIRI-3342.so
/usr/lib64/gconv/ISO-2022-CN-EXT.so
/usr/lib64/gconv/ISO-2022-CN.so
/usr/lib64/gconv/ISO-2022-JP-3.so
/usr/lib64/gconv/ISO-2022-JP.so
/usr/lib64/gconv/ISO-2022-KR.so
/usr/lib64/gconv/ISO-IR-197.so
/usr/lib64/gconv/ISO-IR-209.so
/usr/lib64/gconv/ISO646.so
/usr/lib64/gconv/ISO8859-1.so
/usr/lib64/gconv/ISO8859-10.so
/usr/lib64/gconv/ISO8859-11.so
/usr/lib64/gconv/ISO8859-13.so
/usr/lib64/gconv/ISO8859-14.so
/usr/lib64/gconv/ISO8859-15.so
/usr/lib64/gconv/ISO8859-16.so
/usr/lib64/gconv/ISO8859-2.so
/usr/lib64/gconv/ISO8859-3.so
/usr/lib64/gconv/ISO8859-4.so
/usr/lib64/gconv/ISO8859-5.so
/usr/lib64/gconv/ISO8859-6.so
/usr/lib64/gconv/ISO8859-7.so
/usr/lib64/gconv/ISO8859-8.so
/usr/lib64/gconv/ISO8859-9.so
/usr/lib64/gconv/ISO_10367-BOX.so
/usr/lib64/gconv/ISO_11548-1.so
/usr/lib64/gconv/ISO_2033.so
/usr/lib64/gconv/ISO_5427-EXT.so
/usr/lib64/gconv/ISO_5427.so
/usr/lib64/gconv/ISO_5428.so
/usr/lib64/gconv/ISO_6937-2.so
/usr/lib64/gconv/ISO_6937.so
/usr/lib64/gconv/JOHAB.so
/usr/lib64/gconv/KOI-8.so
/usr/lib64/gconv/KOI8-R.so
/usr/lib64/gconv/KOI8-T.so
/usr/lib64/gconv/KOI8-U.so
/usr/lib64/gconv/LATIN-GREEK-1.so
/usr/lib64/gconv/LATIN-GREEK.so
/usr/lib64/gconv/MAC-IS.so
/usr/lib64/gconv/MAC-SAMI.so
/usr/lib64/gconv/MAC-UK.so
/usr/lib64/gconv/MACINTOSH.so
/usr/lib64/gconv/MIK.so
/usr/lib64/gconv/NATS-DANO.so
/usr/lib64/gconv/NATS-SEFI.so
/usr/lib64/gconv/PT154.so
/usr/lib64/gconv/RK1048.so
/usr/lib64/gconv/SAMI-WS2.so
/usr/lib64/gconv/SHIFT_JISX0213.so
/usr/lib64/gconv/SJIS.so
/usr/lib64/gconv/T.61.so
/usr/lib64/gconv/TCVN5712-1.so
/usr/lib64/gconv/TIS-620.so
/usr/lib64/gconv/TSCII.so
/usr/lib64/gconv/UHC.so
/usr/lib64/gconv/UNICODE.so
/usr/lib64/gconv/UTF-16.so
/usr/lib64/gconv/UTF-32.so
/usr/lib64/gconv/UTF-7.so
/usr/lib64/gconv/VISCII.so
/usr/lib64/gconv/gconv-modules
/usr/lib64/gconv/gconv-modules.cache
/usr/lib64/gconv/libCNS.so
/usr/lib64/gconv/libGB.so
/usr/lib64/gconv/libISOIR165.so
/usr/lib64/gconv/libJIS.so
/usr/lib64/gconv/libJISX0213.so
/usr/lib64/gconv/libKSC.so
/usr/libexec/getconf
/usr/libexec/getconf/POSIX_V6_LP64_OFF64
/usr/sbin/glibc_post_upgrade.x86_64
/usr/sbin/iconvconfig
/usr/sbin/iconvconfig.x86_64
/usr/share/doc/glibc-2.5
/usr/share/doc/glibc-2.5/BUGS
/usr/share/doc/glibc-2.5/CONFORMANCE
/usr/share/doc/glibc-2.5/COPYING
/usr/share/doc/glibc-2.5/COPYING.LIB
/usr/share/doc/glibc-2.5/FAQ
/usr/share/doc/glibc-2.5/INSTALL
/usr/share/doc/glibc-2.5/LICENSES
/usr/share/doc/glibc-2.5/NEWS
/usr/share/doc/glibc-2.5/NOTES
/usr/share/doc/glibc-2.5/PROJECTS
/usr/share/doc/glibc-2.5/README
/usr/share/doc/glibc-2.5/README.hesiod
/usr/share/doc/glibc-2.5/README.libm

Not wanting to mess with my production inbound email during business hours, I will put off the install attempt on postfix, which is working anyway until this evening.

Expect bunnies by moring.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Steven E. Protter
Exalted Contributor

Re: Possible glibc issues: hard to fix with risk of breakage

Didn't get to this yesterday.

Any thoughts on why rpm -qa doesn't show any difference between the x86 and x64 versions of glibc.

I found that confusing. Perhaps there is another option I am unaware of that I could use to make this more clear to my pea brain molecules.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
J. Maestre
Honored Contributor

Re: Possible glibc issues: hard to fix with risk of breakage

Add arch info to the rpm query using the --queryformat parameter:

rpm -q --queryformat '%{NAME}%{VERSION}%{RELEASE}%{ARCH}\n' glibc
Steven E. Protter
Exalted Contributor

Re: Possible glibc issues: hard to fix with risk of breakage

I improved upon the last suggest but awarded bunny level pointage.

[root@mercury bin]# rpmdet.sh glibc
glibc2.542.el5_4.3.i686
glibc2.542.el5_4.3.x86_64
[root@mercury bin]# cat rpmdet.sh
rpm -q --queryformat '%{NAME}%{VERSION}%{RELEASE}.%{ARCH}\n' $1


Good work people.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com